| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | List of all members
jpeg_marker_writer Struct Reference

`#include <jpegint.h>`

## Public Member Functions
| JMETHOD (void, write_file_header,(j_compress_ptr cinfo))
| JMETHOD (void, write_frame_header,(j_compress_ptr cinfo))
| JMETHOD (void, write_scan_header,(j_compress_ptr cinfo))
| JMETHOD (void, write_file_trailer,(j_compress_ptr cinfo))
| JMETHOD (void, write_tables_only,(j_compress_ptr cinfo))
| JMETHOD (void, write_marker_header,(j_compress_ptr cinfo, int marker, unsigned int datalen))
| JMETHOD (void, write_marker_byte,(j_compress_ptr cinfo, int val))

## Detailed Description

Definition at line 120 of file jpegint.h.

## Member Function Documentation

jpeg_marker_writer::JMETHOD | ( | void | ,
|  | write_file_header | ,
|  | (j_compress_ptr cinfo) |
| ) |  |

jpeg_marker_writer::JMETHOD | ( | void | ,
|  | write_frame_header | ,
|  | (j_compress_ptr cinfo) |
| ) |  |

jpeg_marker_writer::JMETHOD | ( | void | ,
|  | write_scan_header | ,
|  | (j_compress_ptr cinfo) |
| ) |  |

jpeg_marker_writer::JMETHOD | ( | void | ,
|  | write_file_trailer | ,
|  | (j_compress_ptr cinfo) |
| ) |  |

jpeg_marker_writer::JMETHOD | ( | void | ,
|  | write_tables_only | ,
|  | (j_compress_ptr cinfo) |
| ) |  |

jpeg_marker_writer::JMETHOD | ( | void | ,
|  | write_marker_header | ,
|  | (j_compress_ptr cinfo, int marker, unsigned int datalen) |
| ) |  |

jpeg_marker_writer::JMETHOD | ( | void | ,
|  | write_marker_byte | ,
|  | (j_compress_ptr cinfo, int val) |
| ) |  |

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jpegint.h